<html><head><title>WebSocket</title>
<style type="text/css">
html,body {
	font:normal 0.9em arial,helvetica;
}
#log {
	width:600px;
	height:300px;
	border:1px solid #7F9DB9;
	overflow:auto;
}
#msg {
	width:200px;
}
</style>
<script type="text/javascript">
var socket;

function init() {
	var host = "ws://localhost:9000/myWebSocket"; // SET THIS TO YOUR SERVER
	try {
		socket = new WebSocket(host);
		log('WebSocket - status '+socket.readyState);
		socket.onopen    = function(msg) {
							   log("Welcome - status "+this.readyState);
						   };

		socket.onmessage = function(msg) {

			var JSONObject = JSON.parse(msg.data);

			switch (JSONObject["Event"])
			{
				case "Msg":
					log(JSONObject["Data"]);
			}
		};

		socket.onclose   = function(msg) {
			log("Disconnected - status "+this.readyState);
		};
	}
	catch(ex){ log(ex);}
	$("username").focus();
}

function quit(){
	if (socket != null) {
		log("Goodbye!");
		socket.close();
		socket=null;
	}
}

function reconnect() {
	quit();
	init();
}

function sendmsg() {
	var msg = {
		Event: "Msg",
		Data: document.getElementById('msg').value,
	};
	socket.send(JSON.stringify(msg));
}

function logout() {
	var msg = {
		event: "Logout",
  };
  socket.send(JSON.stringify(msg));
}

function refresh() {
	var msg = {
  	event: "Refresh",
  };
	socket.send(JSON.stringify(msg));
}

function pong() {
	var msg = {
		event: "Pong",
  };
  socket.send(JSON.stringify(msg));
}


// Utilities
function $(id){ return document.getElementById(id); }
function log(msg){ $("log").innerHTML+="<br>"+msg; }
function onkey(event){ if(event.keyCode==13){ send(); } }
</script>

</head>
<body onload="init()">
<input id="msg" type="textbox" onkeypress="onkey(event)"/>
</br>
<button onclick="sendmsg()">Send</button>

<div id="log"></div>
</body>
</html>
